AnsweredAssumed Answered

fglrx installed bad amdpcsdb : Recommended to download  amd-driver-installer-15.20.1046-x86.x86_64.zip , but aticonfig says "No supported adapters detected" for Radeon HD 8970M

Question asked by jvd66 on Aug 30, 2015
Latest reply on Sep 6, 2015 by jvd66

After downloading amd-driver-installer-15.20.1046-x86.x86_64.zip , the latest recommended release

from Download Drivers after filling in form with 'x86_64' , 'Linux', and selected my card:

    Radeon HD 8970M

01:00.0 VGA compatible controller: Advanced Micro Devices, Inc. [AMD/ATI]

Neptune XT [Radeon HD 8970M] (prog-if 00 [VGA controller])

  Subsystem: CLEVO/KAPOK Computer Device 5106

on a late 2014 Clevo laptop , I ran :

  $ sh amd-driver-installer-15.20.1046-x86.x86_64.run

and installed the resulting :

  fglrx64_p_i_c-15.20.1046-1.x86_64.rpm

on an Oracle Linux 7.1 x86_64 system .

Then attempting to run

  $ aticonfig

  aticonfig: No supported adapters detected

 

Yet the fglrx module loads fine - here are dmesg kernel log messages from it loading :

[5.059615] fglrx: module license 'Proprietary. (C) 2002 - ATI Technologies, Starnberg, GERMANY' taints kernel.
[5.059616] Disabling lock debugging due to kernel taint
[5.063253] input: HDA Intel PCH Headphone as /devices/pci0000:00/0000:00:1b.0/sound/card1/input15
[5.063375] input: HDA Intel PCH Line Out as /devices/pci0000:00/0000:00:1b.0/sound/card1/input16
[5.067285] <6>[fglrx] Maximum main memory to use for locked dma buffers: 15348 MBytes.
[5.068300] <6>[fglrx]   vendor: 1002 device: 6801 revision: 0 count: 1
[5.069665] <6>[fglrx] ioport: bar 4, base 0xe000, size: 0x100
[5.070573] pci 0000:01:00.0: enabling device (0000 -> 0003)
[5.071698] <6>[fglrx] Kernel PAT support is enabled
[5.073002] <6>[fglrx] module loaded - fglrx 15.20.3 [Jun 22 2015] with 1 minors

 

And in /var/log/Xorg.0.log it says:

  "Chipset Supported AMD Graphics Processor (0x6801) found'

 

Yet fglrx goes on to try and load the intel_drv.so module for this card, which of course fails .

Why is this ? Is there any way I update the amdpcsdb so that my card is supported ?

Outcomes